ComputerSystemZoneMember (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.ComputerSystemZoneMember interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface ComputerSystemZoneMember

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ZoneMember

    public interface ComputerSystemZoneMember

extends ZoneMember

A ZoneMember that is a ComputerSystem, e.g. a server with an HBA

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getComputerSystem()` A ComputerSystem bound to the zone
`boolean` | `hasComputerSystem()`
`void` | `setComputerSystem(ComputerSystem system)`

Methods inherited from interface com.collation.platform.model.topology.storage.ZoneMember
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getComputerSystem

    ComputerSystem getComputerSystem()
                                     throws AttributeNotSetException

  A ComputerSystem bound to the zone

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setComputerSystem

    void setComputerSystem(ComputerSystem system)

### hasComputerSystem

    boolean hasComputerSystem()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD